"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var builder_1 = __importDefault(require("./headsets/builder"));
var BuildSimpleHeadphones = /** @class */ (function () {
    function BuildSimpleHeadphones() {
    }
    BuildSimpleHeadphones.prototype.execute = function (foundHeadphones) {
        return foundHeadphones.map(function (headphone) {
            var report = headphone.device.fetchInfo(headphone.knownHeadphone.writeBytes);
            var path = headphone.device.path();
            return builder_1.default.build(report, path, headphone.knownHeadphone);
        });
    };
    return BuildSimpleHeadphones;
}());
exports.default = BuildSimpleHeadphones;
