import { Device } from 'node-hid';
import UsbDevice from '../../interfaces/usb_device';
export default class HidUsbDevice implements UsbDevice {
    private rawDevice;
    private hidDevice;
    vendorId: number;
    productId: number;
    constructor(rawDevice: Device, vendorId?: number, productId?: number);
    fetchInfo(writeBytes: number[]): number[];
    realDevice(): Device;
    path(): string | undefined;
    private connectToHID;
    private readSync;
    private write;
    private close;
    private createNewHIDByVendorIdAndProductId;
}
